import { NumericScaleMode_$type } from "./NumericScaleMode";
import { IgrNumericAxisBase } from "./igr-numeric-axis-base";
import { ensureEnum } from "igniteui-react-core/ES2015/componentUtil";
/**
 * Defines a set of basic methods and properties used to create a StraightNumeric axis.
*/
export class IgrStraightNumericAxisBase extends IgrNumericAxisBase {
    constructor(props) {
        super(props);
    }
    get i() {
        return this._implementation;
    }
    /**
     * Gets or sets the axis scale mode.
    */
    get scaleMode() {
        return this.i.k4;
    }
    set scaleMode(v) {
        this.i.k4 = ensureEnum(NumericScaleMode_$type, v);
    }
}
